Bug 98726 - (NET TG3) BCM5704 tg3 driver panics on AMD64/x86_64/Opteron AMD Serenade system
(NET TG3) BCM5704 tg3 driver panics on AMD64/x86_64/Opteron AMD Serenade system
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: David Miller
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2003-07-07 19:16 EDT by Konstantin Olchanski
Modified: 2007-04-18 12:55 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:41:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Konstantin Olchanski 2003-07-07 19:16:29 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030701

Description of problem:
The dual Opteron AMD Serenade system comes with a BCM5704 dual 10/100/1000
network interface. The corresponding tg3 linux driver does not work:
 - kernel-smp-2.4.20-18.8 (RH 8.0 errata) panics at ifconfig time ("CPU1 context
corrupt" or similar)
 - vanilla 2.4.21 kernel with compiled-in tg3 driver freezes during boot after
printing "tg3.c version whatever..." (or similar).

A 3COM 100 Mbit card in the 32-bit PCI slot does work.

K.Olchanski olchansk-at-triumf-dot-ca

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. blah...

Additional info:
Comment 1 Jeff Garzik 2004-03-03 00:38:31 EST
Does this still occur in RHEL3 / Fedora?
Comment 2 Jason Tibbitts 2004-04-29 17:36:27 EDT
I have some dual Opteron systems using the Tyan S2882 motherboard,
which has two BCM5704 nics and an EEPro100.  Both FC1 and FC2T3 have
no significant problems with any of the nics.  (ksdevice=link doesn't
work for the Broadcomms, but that's another bug report.)
Comment 3 Bugzilla owner 2004-09-30 11:41:16 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.